## haproxy 1.4.24

=== Makefile ===
# This GNU Makefile supports different OS and CPU combinations.
#
# You should use it this way :
#   [g]make TARGET=os ARCH=arch CPU=cpu USE_xxx=1 ...
#
# Valid USE_* options are the following. Most of them are automatically set by
# the TARGET, others have to be explictly specified :
#   USE_CTTPROXY         : enable CTTPROXY on Linux (needs kernel patch).
#   USE_DLMALLOC         : enable use of dlmalloc (see DLMALLOC_SRC)
#   USE_EPOLL            : enable epoll() on Linux 2.6. Automatic.
#   USE_GETSOCKNAME      : enable getsockname() on Linux 2.2. Automatic.
#   USE_KQUEUE           : enable kqueue() on BSD. Automatic.
#   USE_MY_EPOLL         : redefine epoll_* syscalls. Automatic.
#   USE_NETFILTER        : enable netfilter on Linux. Automatic.
#   USE_PCRE             : enable use of libpcre for regex. Recommended.
#   USE_POLL             : enable poll(). Automatic.
#   USE_REGPARM          : enable regparm optimization. Recommended on x86.
#   USE_SEPOLL           : enable speculative epoll(). Automatic.
#   USE_STATIC_PCRE      : enable static libpcre. Recommended.
#   USE_TPROXY           : enable transparent proxy. Automatic.
#   USE_LINUX_TPROXY     : enable full transparent proxy. Automatic.
#   USE_LINUX_SPLICE     : enable kernel 2.6 splicing. Automatic.
#   USE_LIBCRYPT         : enable crypted passwords using -lcrypt
#   USE_CRYPT_H          : set it if your system requires including crypt.h
#
# Options can be forced by specifying "USE_xxx=1" or can be disabled by using
# "USE_xxx=" (empty string).
#
# Variables useful for packagers :
#   CC is set to "gcc" by default and is used for compilation only.
#   LD is set to "gcc" by default and is used for linking only.
#   ARCH may be useful to force build of 32-bit binary on 64-bit systems
#   CFLAGS is automatically set for the specified CPU and may be overridden.
#   LDFLAGS is automatically set to -g and may be overridden.
#   SMALL_OPTS may be used to specify some options to shrink memory usage.
#   DEBUG may be used to set some internal debugging options.
#   ADDINC may be used to complete the include path in the form -Ipath.
#   ADDLIB may be used to complete the library list in the form -Lpath -llib.
#   DEFINE may be used to specify any additional define, which will be reported
#          by "haproxy -vv" in CFLAGS.
#   SILENT_DEFINE may be used to specify other defines which will not be
#     reported by "haproxy -vv".
#   DESTDIR is not set by default and is used for installation only.
#           It might be useful to set DESTDIR if you want to install haproxy
#           in a sandbox.
#   PREFIX  is set to "/usr/local" by default and is used for installation only.
#   SBINDIR is set to "$(PREFIX)/sbin" by default and is used for installation
#           only.
#   MANDIR  is set to "$(PREFIX)/share/man" by default and is used for
#           installation only.
#   DOCDIR  is set to "$(PREFIX)/doc/haproxy" by default and is used for
#           installation only.
#
# Other variables :
#   DLMALLOC_SRC   : build with dlmalloc, indicate the location of dlmalloc.c.
#   DLMALLOC_THRES : should match PAGE_SIZE on every platform (default: 4096).
#   PCREDIR        : force the path to libpcre.
#   PCRE_LIB       : force the lib path to libpcre (defaults to $PCREDIR/lib).
#   PCRE_INC       : force the include path to libpcre ($PCREDIR/inc)
#   IGNOREGIT      : ignore GIT commit versions if set.
#   VERSION        : force haproxy version reporting.
#   SUBVERS        : add a sub-version (eg: platform, model, ...).
#   VERDATE        : force haproxy's release date.

#### Installation options.
DESTDIR =
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
DOCDIR = $(PREFIX)/doc/haproxy

#### TARGET system
# Use TARGET=<target_name> to optimize for a specifc target OS among the
# following list (use the default "generic" if uncertain) :
#    generic, linux22, linux24, linux24e, linux26, solaris,
#    freebsd, openbsd, cygwin, custom, aix52
TARGET =

#### TARGET CPU
# Use CPU=<cpu_name> to optimize for a particular CPU, among the following
# list :
#    generic, native, i586, i686, ultrasparc, custom
CPU = generic

#### Architecture, used when not building for native architecture
# Use ARCH=<arch_name> to force build for a specific architecture. Known
# architectures will lead to "-m32" or "-m64" being added to CFLAGS and
# LDFLAGS. This can be required to build 32-bit binaries on 64-bit targets.
# Currently, only 32, 64, x86_64, i386, i486, i586 and i686 are understood.
ARCH =

#### Toolchain options.
# GCC is normally used both for compiling and linking.
CC = gcc
LD = $(CC)

#### Debug flags (typically "-g").
# Those flags only feed CFLAGS so it is not mandatory to use this form.
DEBUG_CFLAGS = -g

#### Compiler-specific flags that may be used to disable some negative over-
# optimization or to silence some warnings. -fno-strict-aliasing is needed with
# gcc >= 4.4.
SPEC_CFLAGS = -fno-strict-aliasing

#### Memory usage tuning
# If small memory footprint is required, you can reduce the buffer size. There
# are 2 buffers per concurrent session, so 16 kB buffers will eat 32 MB memory
# with 1000 concurrent sessions. Putting it slightly lower than a page size
# will prevent the additional parameters to go beyond a page. 8030 bytes is
# exactly 5.5 TCP segments of 1460 bytes and is generally good. Useful tuning
# macros include :
#    SYSTEM_MAXCONN, BUFSIZE, MAXREWRITE, REQURI_LEN, CAPTURE_LEN.
# Example: SMALL_OPTS = -DBUFSIZE=8030 -DMAXREWRITE=1030 -DSYSTEM_MAXCONN=1024
SMALL_OPTS =

#### Debug settings
# You can enable debugging on specific code parts by setting DEBUG=-DDEBUG_xxx.
# Currently defined DEBUG macros include DEBUG_FULL, DEBUG_MEMORY, DEBUG_FSM,
# DEBUG_HASH and DEBUG_AUTH. Please check sources for exact meaning or do not
# use at all.
DEBUG =

#### Additional include and library dirs
# Redefine this if you want to add some special PATH to include/libs
ADDINC =
ADDLIB =

#### Specific macro definitions
# Use DEFINE=-Dxxx to set any tunable macro. Anything declared here will appear
# in the build options reported by "haproxy -vv". Use SILENT_DEFINE if you do
# not want to pollute the report with complex defines.
DEFINE =
SILENT_DEFINE =


#### CPU dependant optimizations
# Some CFLAGS are set by default depending on the target CPU. Those flags only
# feed CPU_CFLAGS, which in turn feed CFLAGS, so it is not mandatory to use
# them. You should not have to change these options. Better use CPU_CFLAGS or
# even CFLAGS instead.
CPU_CFLAGS.generic    = -O2
CPU_CFLAGS.native     = -O2 -march=native
CPU_CFLAGS.i586       = -O2 -march=i586
CPU_CFLAGS.i686       = -O2 -march=i686
CPU_CFLAGS.ultrasparc = -O6 -mcpu=v9 -mtune=ultrasparc
CPU_CFLAGS            = $(CPU_CFLAGS.$(CPU))

#### ARCH dependant flags, may be overriden by CPU flags
ARCH_FLAGS.32     = -m32
ARCH_FLAGS.64     = -m64
ARCH_FLAGS.i386   = -m32 -march=i386
ARCH_FLAGS.i486   = -m32 -march=i486
ARCH_FLAGS.i586   = -m32 -march=i586
ARCH_FLAGS.i686   = -m32 -march=i686
ARCH_FLAGS.x86_64 = -m64 -march=x86-64
ARCH_FLAGS        = $(ARCH_FLAGS.$(ARCH))

#### Common CFLAGS
# These CFLAGS contain general optimization options, CPU-specific optimizations
# and debug flags. They may be overridden by some distributions which prefer to
# set all of them at once instead of playing with the CPU and DEBUG variables.
CFLAGS = $(ARCH_FLAGS) $(CPU_CFLAGS) $(DEBUG_CFLAGS) $(SPEC_CFLAGS)

#### Common LDFLAGS
# These LDFLAGS are used as the first "ld" options, regardless of any library
# path or any other option. They may be changed to add any linker-specific
# option at the beginning of the ld command line.
LDFLAGS = $(ARCH_FLAGS) -g

#### Target system options
# Depending on the target platform, some options are set, as well as some
# CFLAGS and LDFLAGS. The USE_* values are set to "implicit" so that they are
# not reported in the build options string. You should not have to change
# anything there. poll() is always supported, unless explicitly disabled by
# passing USE_POLL="" on the make command line.
USE_POLL   = default

ifeq ($(TARGET),generic)
  # generic system target has nothing specific
  USE_POLL   = implicit
  USE_TPROXY = implicit
else
ifeq ($(TARGET),linux22)
  # This is for Linux 2.2
  USE_GETSOCKNAME = implicit
  USE_POLL        = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
else
ifeq ($(TARGET),linux24)
  # This is for standard Linux 2.4 with netfilter but without epoll()
  USE_GETSOCKNAME = implicit
  USE_NETFILTER   = implicit
  USE_POLL        = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
else
ifeq ($(TARGET),linux24e)
  # This is for enhanced Linux 2.4 with netfilter and epoll() patch > 0.21
  USE_GETSOCKNAME = implicit
  USE_NETFILTER   = implicit
  USE_POLL        = implicit
  USE_EPOLL       = implicit
  USE_SEPOLL      = implicit
  USE_MY_EPOLL    = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
else
ifeq ($(TARGET),linux26)
  # This is for standard Linux 2.6 with netfilter and standard epoll()
  USE_GETSOCKNAME = implicit
  USE_NETFILTER   = implicit
  USE_POLL        = implicit
  USE_EPOLL       = implicit
  USE_SEPOLL      = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
else
ifeq ($(TARGET),linux2628)
  # This is for standard Linux >= 2.6.28 with netfilter, epoll, tproxy and splice
  USE_GETSOCKNAME = implicit
  USE_NETFILTER   = implicit
  USE_POLL        = implicit
  USE_EPOLL       = implicit
  USE_SEPOLL      = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
  USE_LINUX_SPLICE= implicit
  USE_LINUX_TPROXY= implicit
else
ifeq ($(TARGET),solaris)
  # This is for Solaris 8
  USE_POLL       = implicit
  TARGET_CFLAGS  = -fomit-frame-pointer -DFD_SETSIZE=65536 -D_REENTRANT
  TARGET_LDFLAGS = -lnsl -lsocket
  USE_TPROXY     = implicit
  USE_LIBCRYPT    = implicit
  USE_CRYPT_H     = implicit
else
ifeq ($(TARGET),freebsd)
  # This is for FreeBSD
  USE_POLL       = implicit
  USE_KQUEUE     = implicit
  USE_TPROXY     = implicit
  USE_LIBCRYPT   = implicit
else
ifeq ($(TARGET),osx)
  # This is for Mac OS/X
  USE_POLL       = implicit
  USE_KQUEUE     = implicit
  USE_TPROXY     = implicit
  USE_LIBCRYPT   = implicit
else
ifeq ($(TARGET),openbsd)
  # This is for OpenBSD >= 3.0
  USE_POLL       = implicit
  USE_KQUEUE     = implicit
  USE_TPROXY     = implicit
else
ifeq ($(TARGET),aix52)
  # This is for AIX 5.2 and later
  USE_POLL        = implicit
  USE_LIBCRYPT    = implicit
  TARGET_CFLAGS   = -D_MSGQSUPPORT
  DEBUG_CFLAGS    =
else
ifeq ($(TARGET),cygwin)
  # This is for Cygwin
  # Cygwin adds IPv6 support only in version 1.7 (in beta right now). 
  USE_POLL   = implicit
  USE_TPROXY = implicit
  TARGET_CFLAGS  = $(if $(filter 1.5.%, $(shell uname -r)), -DUSE_IPV6 -DAF_INET6=23 -DINET6_ADDRSTRLEN=46, )
endif # cygwin
endif # aix52
endif # openbsd
endif # osx
endif # freebsd
endif # solaris
endif # linux2628
endif # linux26
endif # linux24e
endif # linux24
endif # linux22
endif # generic


#### Old-style REGEX library settings for compatibility with previous setups.
# It is still possible to use REGEX=<regex_lib> to select an alternative regex
# library. By default, we use libc's regex. On Solaris 8/Sparc, grouping seems
# to be broken using libc, so consider using pcre instead. Supported values are
# "libc", "pcre", and "static-pcre". Use of this method is deprecated in favor
# of "USE_PCRE" and "USE_STATIC_PCRE" (see build options below).
REGEX = libc

ifeq ($(REGEX),pcre)
USE_PCRE = 1
$(warning WARNING! use of "REGEX=pcre" is deprecated, consider using "USE_PCRE=1" instead.)
endif

ifeq ($(REGEX),static-pcre)
USE_STATIC_PCRE = 1
$(warning WARNING! use of "REGEX=pcre-static" is deprecated, consider using "USE_STATIC_PCRE=1" instead.)
endif

#### Old-style TPROXY settings
ifneq ($(findstring -DTPROXY,$(DEFINE)),)
USE_TPROXY = 1

=== contrib/halog/Makefile ===
EBTREE_DIR = ../../ebtree
INCLUDE  = -I../../include -I$(EBTREE_DIR)

CC       = gcc

# note: it is recommended to also add -fomit-frame-pointer on i386
OPTIMIZE = -O3

# most recent glibc provide platform-specific optimizations that make
# memchr faster than the generic C implementation (eg: SSE and prefetch
# on x86_64). Try with an without. In general, on x86_64 it's better to
# use memchr using the define below.
# DEFINE   = -DUSE_MEMCHR
DEFINE   =

OBJS     = halog

halog: halog.c fgets2.c
	$(CC) $(OPTIMIZE) $(DEFINE) -o $@ $(INCLUDE) $(EBTREE_DIR)/ebtree.c $(EBTREE_DIR)/eb32tree.c $(EBTREE_DIR)/eb64tree.c $(EBTREE_DIR)/ebmbtree.c $(EBTREE_DIR)/ebsttree.c $(EBTREE_DIR)/ebistree.c $(EBTREE_DIR)/ebimtree.c $^

clean:
	rm -f $(OBJS) *.[oas]

=== debian/changelog ===
haproxy (1.4.24-2ubuntu0.4) trusty; urgency=medium

  * debian/haproxy.init: Ensure that EXIT trap does not override the
    return status of the init script, which causes issues in tools that
    check return codes such as pacemaker (LP: #1526271).

 -- James Page <james.page@ubuntu.com>  Tue, 15 Dec 2015 15:07:13 +0000

haproxy (1.4.24-2ubuntu0.3) trusty; urgency=medium

  * debian/haproxy.init:
    - Loops through all PIDs present in the PIDFILE when
      nproc > 1 (LP: #1481737)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 23 Sep 2015 17:45:41 +0200

haproxy (1.4.24-2ubuntu0.2) trusty; urgency=high

  * debian/haproxy.init:
    + Pass the pidfile to the --pidfile argument instead
      of the PID number. (LP: #1477198).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 22 Jul 2015 11:12:26 -0500

haproxy (1.4.24-2ubuntu0.1) trusty; urgency=medium

  * debian/haproxy.init:
     + Backport of utopic start/stop routines,
       uses start-stop-daemon to reliable terminate all
       haproxy processes and return the proper exit code.
       (LP: #1462495).
     + Backport of utopic check_haproxy_config routine,
       that test the configuration before start or reload.
       (LP: #1468879)

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Thu, 25 Jun 2015 12:51:05 -0700

haproxy (1.4.24-2) unstable; urgency=low

  [ Apollon Oikonomopoulos ]
  * Ship contrib/halog as /usr/bin/halog.
  
  [ Vincent Bernat ]
  * Don't use -L/usr/lib and rely on default search path. Closes: #722777.

 -- Vincent Bernat <bernat@debian.org>  Sun, 15 Sep 2013 14:36:27 +0200

haproxy (1.4.24-1) unstable; urgency=high

  [ Vincent Bernat ]
  * New upstream version.
     + CVE-2013-2175: fix a possible crash when using negative header
       occurrences.

  [ Prach Pongpanich ]
  * Drop bashism patch. It seems useless to maintain a patch to convert
    example scripts from /bin/bash to /bin/sh.
  * Fix reload/restart action of init script (LP: #1187469).

 -- Vincent Bernat <bernat@debian.org>  Mon, 17 Jun 2013 21:56:26 +0200

haproxy (1.4.23-1) unstable; urgency=low

  [ Apollon Oikonomopoulos ]
  * New upstream version (Closes: #643650, #678953)
     + This fixes CVE-2012-2942 (Closes: #674447)
     + This fixes CVE-2013-1912 (Closes: #704611)
  * Ship vim addon as vim-haproxy (Closes: #702893)
  * Check for the configuration file after sourcing /etc/default/haproxy
    (Closes: #641762)
  * Use /dev/log for logging by default (Closes: #649085)

  [ Vincent Bernat ]
  * debian/control:
     + add Vcs-* fields
     + switch maintenance to Debian HAProxy team. (Closes: #706890)
     + drop dependency to quilt: 3.0 (quilt) format is in use.
  * debian/rules:
     + don't explicitly call dh_installchangelog.
     + use dh_installdirs to install directories.
     + use dh_install to install error and configuration files.
     + switch to `linux2628` Makefile target for Linux.
  * debian/postrm:
     + remove haproxy user and group on purge.
  * Ship a more minimal haproxy.cfg file: no `listen` blocks but `global`
    and `defaults` block with appropriate configuration to use chroot and
    logging in the expected way.

  [ Prach Pongpanich ]
  * debian/copyright:
     + add missing copyright holders
     + update years of copyright
  * debian/rules:
     + build with -Wl,--as-needed to get rid of unnecessary depends
  * Remove useless files in debian/haproxy.{docs,examples}
  * Update debian/watch file, thanks to Bart Martens

 -- Vincent Bernat <bernat@debian.org>  Mon, 06 May 2013 20:02:14 +0200

=== debian/control ===
Source: haproxy
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@gmail.com>,
           Prach Pongpanich <prachpub@gmail.com>,
           Vincent Bernat <bernat@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7.0.50~), libpcre3-dev
Homepage: http://haproxy.1wt.eu/
Vcs-Git: git://anonscm.debian.org/pkg-haproxy/haproxy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git

Package: haproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Suggests: vim-haproxy
Description: fast and reliable load balancing reverse proxy
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.

Package: vim-haproxy
Architecture: all
Depends: ${misc:Depends}
Recommends: vim-addon-manager
Description: syntax highlighting for HAProxy configuration files
 The vim-haproxy package provides filetype detection and syntax highlighting
 for HAProxy configuration files.
 .
 As per the Debian vim policy, installed addons are not activated
 automatically, but the "vim-addon-manager" tool can be used for this purpose.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MAKEARGS=DESTDIR=debian/haproxy \
	 PREFIX=/usr \
	 IGNOREGIT=true \
	 MANDIR=/usr/share/man \
	 DOCDIR=/usr/share/doc/haproxy \
         USE_PCRE=1 PCREDIR=

ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_OS),linux)
	MAKEARGS+= TARGET=linux2628
else
	MAKEARGS+= TARGET=generic
endif
ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_CPU),i386)
	MAKEARGS+= USE_REGPARM=1
endif

MAKEARGS += CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	make $(MAKEARGS)
	dh_auto_build -Dcontrib/halog

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -Dcontrib/halog

override_dh_auto_install:
	make $(MAKEARGS) install
	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/haproxy.conf
	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy

override_dh_installdocs:
	dh_installdocs
	rm -f debian/haproxy/usr/share/doc/haproxy/haproxy-fr.txt
	rm -f debian/haproxy/usr/share/doc/haproxy/haproxy-en.txt

override_dh_installexamples:
	dh_installexamples -X build.cfg

=== debian/watch ===
version=3
http://haproxy.1wt.eu/index.html .*/haproxy-(\d[^\-]*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## haproxy 1.4.25

=== debian/changelog ===
haproxy (1.4.25-1~bpo60+1) squeeze-backports-sloppy; urgency=medium

  * Rebuild for squeeze-backports-sloppy.

 -- Vincent Bernat <bernat@debian.org>  Sat, 05 Apr 2014 01:54:15 +0200

haproxy (1.4.25-1) unstable; urgency=medium

  [ Prach Pongpanich ]
  * New upstream version.
  * Update watch file to use the source page.
  * Bump Standards-Version to 3.9.5.

  [ Thomas Bechtold ]
  * debian/control: Add haproxy-dbg binary package for debug symbols.

  [ Apollon Oikonomopoulos ]
  * Require syslog to be operational before starting. Closes: #726323.
  * Document how to bind non-local IPv6 addresses.
  * Add a reference to configuration.txt.gz to the manpage.
  * debian/copyright: synchronize with source.

 -- Prach Pongpanich <prachpub@gmail.com>  Fri, 28 Mar 2014 09:35:09 +0700

haproxy (1.4.24-2~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 Sep 2013 23:50:41 +0200

haproxy (1.4.24-1~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.

 -- Vincent Bernat <bernat@debian.org>  Mon, 17 Jun 2013 22:45:43 +0200

haproxy (1.4.23-1~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.

 -- Vincent Bernat <bernat@debian.org>  Wed, 05 Jun 2013 20:33:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
-Uploaders: Apollon Oikonomopoulos <apoikos@gmail.com>,
+Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
+Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>,
            Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7.0.50~), libpcre3-dev
 Homepage: http://haproxy.1wt.eu/
 Vcs-Git: git://anonscm.debian.org/pkg-haproxy/haproxy.git
@@ -23,6 +22,20 @@
  has request blocking capabilities and provides interface to display server
  status.
 
+Package: haproxy-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${misc:Depends}, haproxy (= ${binary:Version})
+Description: fast and reliable load balancing reverse proxy (debug symbols)
+ HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
+ availability environments. It features connection persistence through HTTP
+ cookies, load balancing, header addition, modification, deletion both ways. It
+ has request blocking capabilities and provides interface to display server
+ status.
+ .
+ This package contains the debugging symbols for haproxy.
+
 Package: vim-haproxy
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -46,3 +46,6 @@
 
 override_dh_installexamples:
 	dh_installexamples -X build.cfg
+
+override_dh_strip:
+	dh_strip --dbg-package=haproxy-dbg

=== debian/watch ===
version=3
http://haproxy.1wt.eu/download/1.4/src/ haproxy-(\d[^\-]*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## haproxy 1.5.3

=== debian/changelog ===
haproxy (1.5.3-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1336628)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 25 Jul 2014 23:03:34 +0200

haproxy (1.5.3-1) unstable; urgency=medium

  * New upstream stable release, fixing the following issues:
    + Memory corruption when building a proxy protocol v2 header
    + Memory leak in SSL DHE key exchange

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 25 Jul 2014 10:41:36 +0300

haproxy (1.5.2-1) unstable; urgency=medium

  * New upstream stable release. Important fixes:
    + A few sample fetch functions when combined in certain ways would return
      malformed results, possibly crashing the HAProxy process.
    + Hash-based load balancing and http-send-name-header would fail for
      requests which contain a body which starts to be forwarded before the
      data is used.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 14 Jul 2014 00:42:32 +0300

haproxy (1.5.1-1) unstable; urgency=medium

  * New upstream stable release:
    + Fix a file descriptor leak for clients that disappear before connecting.
    + Do not staple expired OCSP responses.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 24 Jun 2014 12:56:30 +0300

haproxy (1.5.0-1) unstable; urgency=medium

  * New upstream stable series. Notable changes since the 1.4 series:
    + Native SSL support on both sides with SNI/NPN/ALPN and OCSP stapling.
    + IPv6 and UNIX sockets are supported everywhere
    + End-to-end HTTP keep-alive for better support of NTLM and improved
      efficiency in static farms
    + HTTP/1.1 response compression (deflate, gzip) to save bandwidth
    + PROXY protocol versions 1 and 2 on both sides
    + Data sampling on everything in request or response, including payload
    + ACLs can use any matching method with any input sample
    + Maps and dynamic ACLs updatable from the CLI
    + Stick-tables support counters to track activity on any input sample
    + Custom format for logs, unique-id, header rewriting, and redirects
    + Improved health checks (SSL, scripted TCP, check agent, ...)
    + Much more scalable configuration supports hundreds of thousands of
      backends and certificates without sweating

  * Upload to unstable, merge all 1.5 work from experimental. Most important
    packaging changes since 1.4.25-1 include:
    + systemd support.
    + A more sane default config file.
    + Zero-downtime upgrades between 1.5 releases by gracefully reloading
      HAProxy during upgrades.
    + HTML documentation shipped in the haproxy-doc package.
    + kqueue support for kfreebsd.

  * Packaging changes since 1.5~dev26-2:
    + Drop patches merged upstream:
      o Fix-reference-location-in-manpage.patch
      o 0001-BUILD-stats-workaround-stupid-and-bogus-Werror-forma.patch
    + d/watch: look for stable 1.5 releases
    + systemd: respect CONFIG and EXTRAOPTS when specified in
      /etc/default/haproxy.
    + initscript: test the configuration before start or reload.
    + initscript: remove the ENABLED flag and logic.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 20 Jun 2014 11:05:17 +0300

haproxy (1.5~dev26-2) experimental; urgency=medium

  * initscript: start should not fail when haproxy is already running
    + Fixes upgrades from post-1.5~dev24-1 installations

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 04 Jun 2014 13:20:39 +0300

haproxy (1.5~dev26-1) experimental; urgency=medium

  * New upstream development version.
     + Add a patch to fix compilation with -Werror=format-security

 -- Vincent Bernat <bernat@debian.org>  Wed, 28 May 2014 20:32:10 +0200

haproxy (1.5~dev25-1) experimental; urgency=medium

  [ Vincent Bernat ]
  * New upstream development version.
  * Rename "contimeout", "clitimeout" and "srvtimeout" in the default
    configuration file to "timeout connection", "timeout client" and
    "timeout server".

  [ Apollon Oikonomopoulos ]
  * Build on kfreebsd using the "freebsd" target; enables kqueue support.

 -- Vincent Bernat <bernat@debian.org>  Thu, 15 May 2014 00:20:11 +0200

haproxy (1.5~dev24-2) experimental; urgency=medium

  * New binary package: haproxy-doc
    + Contains the HTML documentation built using a version of Cyril Bonté's
      haproxy-dconv (https://github.com/cbonte/haproxy-dconv).
    + Add Build-Depends-Indep on python and python-mako
    + haproxy Suggests: haproxy-doc
  * systemd: check config file for validity on reload.
  * haproxy.cfg:
    + Enable the stats socket by default and bind it to
      /run/haproxy/admin.sock, which is accessible by the haproxy group.
      /run/haproxy creation is handled by the initscript for sysv-rc and a
      tmpfiles.d config for systemd.
    + Set the default locations for CA and server certificates to
      /etc/ssl/certs and /etc/ssl/private respectively.
    + Set the default cipher list to be used on listening SSL sockets to
      enable PFS, preferring ECDHE ciphers by default.
  * Gracefully reload HAProxy on upgrade instead of performing a full restart.
  * debian/rules: split build into binary-arch and binary-indep.
  * Build-depend on debhelper >= 9, set compat to 9.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 27 Apr 2014 13:37:17 +0300

haproxy (1.5~dev24-1) experimental; urgency=medium

  * New upstream development version, fixes major regressions introduced in
    1.5~dev23:

    + Forwarding of a message body (request or response) would automatically
      stop after the transfer timeout strikes, and with no error.
    + Redirects failed to update the msg->next offset after consuming the
      request, so if they were made with keep-alive enabled and starting with
      a slash (relative location), then the buffer was shifted by a negative
      amount of data, causing a crash.
    + The code to standardize DH parameters caused an important performance
      regression for, so it was temporarily reverted for the time needed to


=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
            Prach Pongpanich <prachpub@gmail.com>,
            Vincent Bernat <bernat@debian.org>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 7.0.50~), libpcre3-dev
+Build-Depends: debhelper (>= 9), libpcre3-dev, libssl-dev,
+               dh-systemd (>= 1.5)
+Build-Depends-Indep: python, python-mako
 Homepage: http://haproxy.1wt.eu/
 Vcs-Git: git://anonscm.debian.org/pkg-haproxy/haproxy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git
@@ -14,7 +16,7 @@
 Package: haproxy
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
-Suggests: vim-haproxy
+Suggests: vim-haproxy, haproxy-doc
 Description: fast and reliable load balancing reverse proxy
  HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
  availability environments. It features connection persistence through HTTP
@@ -36,6 +38,20 @@
  .
  This package contains the debugging symbols for haproxy.
 
+Package: haproxy-doc
+Section: doc
+Priority: extra
+Architecture: all
+Depends: ${misc:Depends}, libjs-twitter-bootstrap (<< 3), libjs-jquery
+Description: fast and reliable load balancing reverse proxy (HTML documentation)
+ HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
+ availability environments. It features connection persistence through HTTP
+ cookies, load balancing, header addition, modification, deletion both ways. It
+ has request blocking capabilities and provides interface to display server
+ status.
+ .
+ This package contains the HTML documentation for haproxy.
+
 Package: vim-haproxy
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MAKEARGS=DESTDIR=debian/haproxy \
	 PREFIX=/usr \
	 IGNOREGIT=true \
	 MANDIR=/usr/share/man \
	 DOCDIR=/usr/share/doc/haproxy \
	 USE_PCRE=1 PCREDIR= \
	 USE_OPENSSL=1 \
	 USE_ZLIB=1

OS_TYPE = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(OS_TYPE),linux)
        MAKEARGS+= TARGET=linux2628
else ifeq ($(OS_TYPE),kfreebsd)
        MAKEARGS+= TARGET=freebsd
else
	MAKEARGS+= TARGET=generic
endif

ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_CPU),i386)
	MAKEARGS+= USE_REGPARM=1
endif

MAKEARGS += CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

%:
	dh $@ --with systemd

override_dh_auto_configure:

override_dh_auto_build-arch:
	make $(MAKEARGS)
	make -C contrib/systemd $(MAKEARGS)
	dh_auto_build -Dcontrib/halog

override_dh_auto_build-indep:
	# Build the HTML documentation, after patching dconv
	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
		-i $(CURDIR)/doc/configuration.txt \
		-o $(CURDIR)/doc/configuration.html
	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch

override_dh_auto_clean:
	make -C contrib/systemd clean
	dh_auto_clean
	dh_auto_clean -Dcontrib/halog
	-rm $(CURDIR)/doc/configuration.html

override_dh_auto_install-arch:
	make $(MAKEARGS) install
	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/haproxy.conf
	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy

override_dh_auto_install-indep:

override_dh_installdocs:
	dh_installdocs -Xsystemd/ -Xhalog/
	rm -f debian/haproxy/usr/share/doc/haproxy/haproxy-fr.txt
	rm -f debian/haproxy/usr/share/doc/haproxy/haproxy-en.txt

override_dh_installexamples:
	dh_installexamples -X build.cfg

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_strip:
	dh_strip --dbg-package=haproxy-dbg

## haproxy 1.5.4

=== debian/changelog ===
haproxy (1.5.4-1ubuntu1) utopic; urgency=medium

  * haproxy.init: return 0 on stop if haproxy was not running.  (LP: #1038139)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 23 Sep 2014 12:06:17 -0500

haproxy (1.5.4-1) unstable; urgency=high

  * New upstream version.
    + Fix a critical bug that, under certain unlikely conditions, allows a
      client to crash haproxy.
  * Prefix rsyslog configuration file to ensure to log only to
    /var/log/haproxy. Thanks to Paul Bourke for the patch.

 -- Vincent Bernat <bernat@debian.org>  Tue, 02 Sep 2014 19:14:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>,
            Vincent Bernat <bernat@debian.org>

## haproxy 1.5.5

=== debian/changelog ===
haproxy (1.5.5-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Fix stop action in init.d script to not use start-stop-daemon whose
    --pid option does not exist yet.

 -- Vincent Bernat <bernat@debian.org>  Thu, 16 Oct 2014 20:59:39 +0200

haproxy (1.5.5-1) unstable; urgency=medium

  [ Vincent Bernat ]
  * initscript: use start-stop-daemon to reliably terminate all haproxy
    processes. Also treat stopping a non-running haproxy as success.
    (Closes: #762608, LP: #1038139)

  [ Apollon Oikonomopoulos ]
  * New upstream stable release including the following fixes:
    + DOC: Address issue where documentation is excluded due to a gitignore
      rule.
    + MEDIUM: Improve signal handling in systemd wrapper.
    + BUG/MINOR: config: don't propagate process binding for dynamic
      use_backend
    + MINOR: Also accept SIGHUP/SIGTERM in systemd-wrapper
    + DOC: clearly state that the "show sess" output format is not fixed
    + MINOR: stats: fix minor typo fix in stats_dump_errors_to_buffer()
    + DOC: indicate in the doc that track-sc* can wait if data are missing
    + MEDIUM: http: enable header manipulation for 101 responses
    + BUG/MEDIUM: config: propagate frontend to backend process binding again.
    + MEDIUM: config: properly propagate process binding between proxies
    + MEDIUM: config: make the frontends automatically bind to the listeners'
      processes
    + MEDIUM: config: compute the exact bind-process before listener's
      maxaccept
    + MEDIUM: config: only warn if stats are attached to multi-process bind
      directives
    + MEDIUM: config: report it when tcp-request rules are misplaced
    + MINOR: config: detect the case where a tcp-request content rule has no
      inspect-delay
    + MEDIUM: systemd-wrapper: support multiple executable versions and names
    + BUG/MEDIUM: remove debugging code from systemd-wrapper
    + BUG/MEDIUM: http: adjust close mode when switching to backend
    + BUG/MINOR: config: don't propagate process binding on fatal errors.
    + BUG/MEDIUM: check: rule-less tcp-check must detect connect failures
    + BUG/MINOR: tcp-check: report the correct failed step in the status
    + DOC: indicate that weight zero is reported as DRAIN
  * Add a new patch (haproxy.service-set-killmode-to-mixed.patch) to fix the
    systemctl stop action conflicting with the systemd wrapper now catching
    SIGTERM.
  * Bump standards to 3.9.6; no changes needed.
  * haproxy-doc: link to tracker.debian.org instead of packages.qa.debian.org.
  * d/copyright: move debian/dconv/* paragraph after debian/*, so that it
    actually matches the files it is supposed to.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 08 Oct 2014 12:34:53 +0300

haproxy (1.5.4-1~bpo70+2) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Add NEWS entry for the new upstream stable series.
  * Upload to wheezy-backports proper, use bpo70+2 to facilitate upgrades from
    packages in haproxy.debian.net.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 16 Sep 2014 09:09:26 +0300

## haproxy 1.5.6

=== debian/changelog ===
haproxy (1.5.6-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 03 Nov 2014 08:42:00 +0100

haproxy (1.5.6-1) unstable; urgency=medium

  * New upstream stable release including the following fixes:
    + BUG/MEDIUM: systemd: set KillMode to 'mixed'
    + MINOR: systemd: Check configuration before start
    + BUG/MEDIUM: config: avoid skipping disabled proxies
    + BUG/MINOR: config: do not accept more track-sc than configured
    + BUG/MEDIUM: backend: fix URI hash when a query string is present
  * Drop systemd patches:
    + haproxy.service-also-check-on-start.patch
    + haproxy.service-set-killmode-to-mixed.patch
  * Refresh other patches.

 -- Vincent Bernat <bernat@debian.org>  Mon, 20 Oct 2014 18:10:21 +0200
